package com.zfire.mall.manager.commonmapper.trade;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zfire.mall.manager.bean.trade.*;
import com.zfire.mall.manager.plus.entity.TradeLoginOrder;
import com.zfire.mall.manager.zfire.bean.ZfireParamBean;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface LoginOrderMapper {
    IPage<WorkLoginOrderVO> workOrderList(Page page, @Param("ex") ZfireParamBean zfireParamBean, String adminUserId);

    IPage<HomeLoginOrderVO> homeOrderList(Page page, @Param("ex") ZfireParamBean zfireParamBean, String adminUserId);

    IPage<SpanLoginOrderVO> spanOrderList(Page page, @Param("ex") ZfireParamBean zfireParamBean, String adminUserId);

    List<PositionProjectBean> queryPositionProject(@Param("id") String id, @Param("lnt") String lnt, @Param("lat") String lat, @Param("val") String val);

    TradeLoginOrder syncLoginOrderRefCustomerId(@Param("projectNo") String projectNo, boolean isSpan);

    OrderTypeCountBean orderCount(@Param("customerId") String customerId);

    IPage<DataLoginOrderVO> dataListPage(Page page, @Param("ex") ZfireParamBean zfireParamBean);


    IPage<LoginOrderVO> list(Page page, @Param("ex") ZfireParamBean zfireParamBean, String adminUserId);

    IPage<LoginOrderVO> recycleListPage(Page page, @Param("ex") ZfireParamBean zfireParamBean);

    void recycleDel(List<String> ids);

    void batchInsertLogin(List<String> ids);

    void recycleRestore(List<String> ids);
}
